1. teacher [institution]
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. teacher [institution]

get

Developing
GET
/institution/teachers

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leksigo.com/api/v2/institution/teachers' \
--header 'Authorization: Bearer {{accessToken}}'
Response Response Example
{
    "success": true,
    "message": "Berhasil mengambil data guru institusi",
    "data": [
        {
            "userId": "6a190463e051d3ac31017696",
            "name": "Mamang Budi Hermanto",
            "phone": "00918231823",
            "address": "Jl. Hisaudin",
            "institutionId": "6a02bd9190f6f9b59ef159ec",
            "childIds": [],
            "isActive": false,
            "_id": "6a190463e051d3ac31017697"
        }
    ]
}
Modified at 2026-07-28 13:13:45
Previous
apply applicants [institution]
Next
post
Built with